QGIS Application - Bug report #16481

Using @parent with aggregate doesn't return expected results

2017-04-28 08:35 AM - Harrissou Santanna

Status: Feedback

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24389
Description

| have a polygon layer | would like to style according to the presence of features of another layer (site_concours).

Hence | used

aggregate( layer:='site_concours', aggregate:='count’, expression:="gid", filter:=contains( geometry( @parent ), $geometry ) )

to highlight polygon features that contains my site_concours features. As you can see in the attached map, the green polygons are not

coherent with the orange ones. | unsuccessfully tried different geometry predicates with categorized or rule-based rendering (note that the

results returned were always the same).

Added a project to replicate.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 04:28 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
